## midori 0.1.9

=== wscript ===
#! /usr/bin/env python
# WAF build script for midori
# This file is licensed under the terms of the expat license, see the file EXPAT.

import sys

# Waf version check, for global waf installs
try:
    from Constants import WAFVERSION
except:
    WAFVERSION='1.0.0'
if WAFVERSION[:3] != '1.5':
    print 'Incompatible Waf, use 1.5'
    sys.exit (1)

import Build
import Options
import Utils
import pproc as subprocess
import os
import UnitTest
import Task
from TaskGen import extension
import misc

major = 0
minor = 1
micro = 9

APPNAME = 'midori'
VERSION = str (major) + '.' + str (minor) + '.' + str (micro)

try:
    git = Utils.cmd_output (['git', 'rev-parse', '--short', 'HEAD'], silent=True)
    if git:
        VERSION = (VERSION + '-' + git).strip ()
except:
    pass

srcdir = '.'
blddir = '_build_'

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

def is_mingw (env):
    if 'CC' in env:
        cc = env['CC']
        if not isinstance (cc, str):
            cc = ''.join (cc)
        return cc.find ('mingw') != -1# or cc.find ('wine') != -1
    return False

# Compile Win32 res files to (resource) object files
@extension ('.rc')
def rc_file(self, node):
    rctask = self.create_task ('winrc')
    rctask.set_inputs (node)
    rctask.set_outputs (node.change_ext ('.rc.o'))
    self.compiled_tasks.append (rctask)
Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
    before='cc cxx', shell=False)

def configure (conf):
    def option_checkfatal (option, desc):
        if hasattr (Options.options, 'enable_' + option):
            if getattr (Options.options, 'enable_' + option):
                Utils.pprint ('RED', desc + ' N/A')
                sys.exit (1)

    def dirname_default (dirname, default, defname=None):
        if getattr (Options.options, dirname) == '':
            dirvalue = default
        else:
            dirvalue = getattr (Options.options, dirname)
        if not defname:
            defname = dirname
        conf.define (defname, dirvalue)
        return dirvalue

    conf.check_tool ('compiler_cc')
    conf.check_tool ('glib2')

    if option_enabled ('userdocs'):
        conf.find_program ('rst2html.py', var='RST2HTML')
        # debian renames the executable, check that as well :(
        if not conf.env['RST2HTML']:
            conf.find_program ('rst2html', var='RST2HTML')
        if conf.env['RST2HTML']:
            user_docs = 'yes'
        else:
            option_checkfatal ('userdocs', 'user documentation')
            user_docs = 'N/A'
    else:
        user_docs = 'no '

    if option_enabled ('nls'):
        conf.check_tool ('intltool')
        if conf.env['INTLTOOL'] and conf.env['POCOM']:
            nls = 'yes'
        else:
            option_checkfatal ('nls', 'localization')
            nls = 'N/A'
    else:
        nls = 'no '
    conf.define ('ENABLE_NLS', [0,1][nls == 'yes'])

    if conf.find_program ('rsvg-convert', var='RSVG_CONVERT'):
        icons = 'yes'
    else:
        icons = 'no '

    if is_mingw (conf.env) or Options.platform == 'win32':
        if not conf.find_program ('convert', var='CONVERT'):
            Utils.pprint ('YELLOW', 'midori.ico won\'t be created')
        conf.find_program ('windres', var='WINRC')

    # This is specific to cross compiling with mingw
    if is_mingw (conf.env) and Options.platform != 'win32':
        if not 'AR' in os.environ and not 'RANLIB' in os.environ:
            conf.env['AR'] = os.environ['CC'][:-3] + 'ar'
        if conf.find_program (os.environ['CC'][:-3] + 'windres', var='WINRC'):
            os.environ['WINRC'] = os.environ['CC'][:-3] + 'windres'
        Options.platform = 'win32'
        # Make sure we don't have -fPIC in the CCFLAGS
        conf.env["shlib_CCFLAGS"] = []
        # Adjust file naming
        conf.env["shlib_PATTERN"] = 'lib%s.dll'
        conf.env['program_PATTERN'] = '%s.exe'
        # Use Visual C++ compatible alignment
        conf.env.append_value ('CCFLAGS', '-mms-bitfields')
        conf.env['staticlib_LINKFLAGS'] = []

        Utils.pprint ('BLUE', 'Mingw recognized, assuming cross compile.')

    if conf.env['CONVERT'] and not conf.env['WINRC']:
        Utils.pprint ('YELLOW', 'midori.ico won\'t be created')

    dirname_default ('LIBDIR', os.path.join (conf.env['PREFIX'], 'lib'))
    if conf.env['PREFIX'] == '/usr':
        dirname_default ('SYSCONFDIR', '/etc')
    else:
        dirname_default ('SYSCONFDIR', os.path.join (conf.env['PREFIX'], 'etc'))
    dirname_default ('DATADIR', os.path.join (conf.env['PREFIX'], 'share'),
    # Use MDATADIR because DATADIR is a constant in objidl.h on Windows
        'MDATADIR')
    conf.undefine ('DATADIR')
    dirname_default ('DOCDIR', os.path.join (conf.env['MDATADIR'], 'doc'))

    if option_enabled ('apidocs'):
        conf.find_program ('gtkdoc-scan', var='GTKDOC_SCAN')
        conf.find_program ('gtkdoc-mktmpl', var='GTKDOC_MKTMPL')
        conf.find_program ('gtkdoc-mkdb', var='GTKDOC_MKDB')
        conf.find_program ('gtkdoc-mkhtml', var='GTKDOC_MKHTML')
        if conf.env['GTKDOC_SCAN'] and conf.env['GTKDOC_MKTMPL'] \
            and conf.env['GTKDOC_MKDB'] and conf.env['GTKDOC_MKHTML']:
            api_docs = 'yes'
        else:
            option_checkfatal ('apidocs', 'API documentation')
            api_docs = 'N/A'
    else:
        api_docs = 'no '

    def check_pkg (name, version='', mandatory=True, var=None, args=''):
        if not var:
            var = name.split ('-')[0].upper ()
        conf.check_cfg (package=name, uselib_store=var, args='--cflags --libs ' + args,
            atleast_version=version, mandatory=mandatory)
        return conf.env['HAVE_' + var]

    if option_enabled ('unique'):
        check_pkg ('unique-1.0', '0.9', False)
        unique = ['N/A', 'yes'][conf.env['HAVE_UNIQUE'] == 1]
        if unique != 'yes':
            option_checkfatal ('unique', 'single instance')
    else:
        unique = 'no '
    conf.define ('HAVE_UNIQUE', [0,1][unique == 'yes'])

    if option_enabled ('libidn'):
        check_pkg ('libidn', '1.0', False)
        libidn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
        if libidn != 'yes':
            option_checkfatal ('libidn', 'international domain names')
    else:
        libidn = 'no '
    conf.define ('HAVE_LIBIDN', [0,1][libidn == 'yes'])

    if option_enabled ('sqlite'):
        check_pkg ('sqlite3', '3.0', False, var='SQLITE')
        sqlite = ['N/A','yes'][conf.env['HAVE_SQLITE'] == 1]
        if sqlite != 'yes':
            option_checkfatal ('sqlite', 'history database')
    else:
        sqlite = 'no '
    conf.define ('HAVE_SQLITE', [0,1][sqlite == 'yes'])

    conf.check (lib='m', mandatory=True)
    check_pkg ('gmodule-2.0', '2.8.0', False)
    check_pkg ('gthread-2.0', '2.8.0', False)
    check_pkg ('gio-2.0', '2.16.0')
    args = ''
    if Options.platform == 'win32':
        args = '--define-variable=target=win32'
    check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
    check_pkg ('webkit-1.0', '1.1.1', args=args)
    check_pkg ('libsoup-2.4', '2.25.2')
    conf.define ('HAVE_LIBSOUP_2_25_2', 1)
    check_pkg ('libxml-2.0', '2.6')

    if option_enabled ('hildon'):
        if check_pkg ('hildon-1', mandatory=False, var='HILDON'):
            check_pkg ('libosso', var='HILDON')
        hildon = ['N/A','yes'][conf.env['HAVE_HILDON'] == 1]
        if hildon != 'yes':
            option_checkfatal ('hildon', 'Maemo integration')
    else:
        hildon = 'no '
    conf.define ('HAVE_HILDON', [0,1][hildon == 'yes'])

    # Store options in env, since 'Options' is not persistent
    if 'CC' in os.environ: conf.env['CC'] = os.environ['CC'].split()
    conf.env['addons'] = option_enabled ('addons')
    conf.env['docs'] = option_enabled ('docs')

    conf.check (header_name='unistd.h')
    if not conf.env['HAVE_UNIQUE']:
        if Options.platform == 'win32':
            conf.check (lib='ws2_32')
        check_pkg ('openssl', mandatory=False)
        conf.define ('USE_SSL', [0,1][conf.env['HAVE_OPENSSL'] == 1])
        conf.define ('HAVE_NETDB_H', [0,1][conf.check (header_name='netdb.h')])
        conf.check (header_name='sys/wait.h')
        conf.check (header_name='sys/select.h')
        conf.check (function_name='inet_aton')
        conf.check (function_name='inet_addr')
    conf.define ('HAVE_OSX', int(sys.platform == 'darwin'))
    if Options.platform == 'win32':
        conf.env.append_value ('LINKFLAGS', '-mwindows')

    conf.define ('PACKAGE_VERSION', VERSION)
    conf.define ('PACKAGE_NAME', APPNAME)
    conf.define ('PACKAGE_BUGREPORT', 'http://www.twotoasts.de/bugs')
    conf.define ('GETTEXT_PACKAGE', APPNAME)

    conf.define ('MIDORI_MAJOR_VERSION', major)
    conf.define ('MIDORI_MINOR_VERSION', minor)
    conf.define ('MIDORI_MICRO_VERSION', micro)

    conf.write_config_header ('config.h')
    conf.env.append_value ('CCFLAGS', '-DHAVE_CONFIG_H')
    debug_level = Options.options.debug_level
    compiler = conf.env['CC_NAME']
    if debug_level == '':
        if compiler == 'gcc':
            debug_level = 'debug'
        else:
            debug_level = 'none'
    if compiler == 'gcc':
        if debug_level == 'debug':
            conf.env.append_value ('CCFLAGS', '-Wall -O0 -g'.split ())
        elif debug_level == 'full':
            # -Wdeclaration-after-statement
            # -Wmissing-declarations -Wmissing-prototypes
            # -Wwrite-strings
            conf.env.append_value ('CCFLAGS',
                '-Wall -Wextra -O1 -g '
                '-Waggregate-return -Wno-unused-parameter '
                '-Wno-missing-field-initializers '
                '-Wunsafe-loop-optimizations '
                '-Wredundant-decls -Wmissing-noreturn '
                '-Wshadow -Wpointer-arith -Wcast-align '
                '-Winline -Wformat-security '
                '-Winit-self -Wmissing-include-dirs -Wundef '
                '-Wmissing-format-attribute -Wnested-externs '
                '-DG_ENABLE_DEBUG'.split ())
    elif debug_level != 'none':
            Utils.pprint ('RED', 'No debugging level support for ' + compiler)
            sys.exit (1)

    print '''
        Localization:        %(nls)s (intltool)
        Icon optimizations:  %(icons)s (rsvg-convert)
        Persistent history:  %(sqlite)s (sqlite3)

        IDN support:         %(libidn)s (libidn)
        User documentation:  %(user_docs)s (docutils)
        API documentation:   %(api_docs)s (gtk-doc)
        ''' % locals ()
    if unique == 'yes' and conf.check_cfg (modversion='unique-1.0') == '1.0.4':
        Utils.pprint ('RED', 'unique 1.0.4 found, this version is erroneous.')
        Utils.pprint ('RED', 'Please use an older or newer version.')

def set_options (opt):
    def is_maemo (): return os.path.exists ('/etc/osso-af-init/osso-gtk.defs')

    def add_enable_option (option, desc, group=None, disable=False):
        if group == None:
            group = opt
        option_ = option.replace ('-', '_')
        group.add_option ('--enable-' + option, action='store_true',
            default=False, help='Enable ' + desc, dest='enable_' + option_)
        group.add_option ('--disable-' + option, action='store_true',
            default=disable, help='Disable ' + desc, dest='disable_' + option_)

    opt.tool_options ('compiler_cc')
    opt.get_option_group ('--check-c-compiler').add_option('-d', '--debug-level',
        action = 'store', default = '',
        help = 'Specify the debugging level. [\'none\', \'debug\', \'full\']',
        choices = ['', 'none', 'debug', 'full'], dest = 'debug_level')
    opt.tool_options ('gnu_dirs')
    opt.parser.remove_option ('--oldincludedir')
    opt.parser.remove_option ('--htmldir')
    opt.parser.remove_option ('--dvidir')
    opt.parser.remove_option ('--pdfdir')
    opt.parser.remove_option ('--psdir')

## midori 0.2.1-0git0

=== debian/changelog ===
midori (0:0.2.1-0git0) unstable; urgency=low

  * Initial version, based on git snapshot from 2009-11-30 19:52:42.

 -- Christian Dywan <christian@twotoasts.de>  Mon, 30 Nov 2009 20:19:54 +0100

=== debian/control ===
Source: midori
Section: user/network
Priority: optional
Maintainer: Christian Dywan <christian@twotoasts.de>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libglib2.0-dev, libhildonfm2-dev, libhildon1-dev, libosso-dev, mce-dev, libhildonmime-dev, libsoup2.26-dev (>= 2.26.0), libwebkit-1.0-dev (>= 1.1.10), libsqlite3-dev

Package: midori
Architecture: any
Depends: libhildonfm2, libhildon1, libosso1, mce, libhildonmime0, libsoup2.26-1 (>= 2.26.0), libwebkit-1.0-2 (>= 1.1.10), libsqlite3-0
Description: Fast and lightweight web browser.
 Midori is a customizable WebKit based web browser.
XB-Maemo-Display-Name: Midori
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9kLAxQcKSNqtyUAAA5mSURBVGje
 3Vl5kFXllf/d5S29vNcLve80TUN3Q7M2qyKbUCCQYBUxRgQddVwyJoFInEQLiRVTFU2lplwm0WRm
 dKJJgFGkGxCMCogssons0N08eue93l6//d37feebP+7tB2hDPxyYcuarevXu8t1zz++c3/md794L
 /B8ZM2dCHei4+m1zNG8xEq0coyFjHICZAO4BgCbgCICJ3zoAhUuQJxNmScBsAUySBEohI7H/vASp
 BxCrXAl451uRgRFL4NAI8wUwR5WVeZCljILC3JYx40drFkXJOXL0uKW7q6cLQvxLMBL4Y+Mm4bme
 Pel/w+mqZUjmkv1eu832YDAQGl9SUhSomTg2YXR1ZWJBYT5OnzqLjRtqdbfH0wNIPz8xwv8W1oHi
 sX1LAdz+aP4cSZV/6XF7JlVWjJSnTa9RqsdUgqkBOK1Z6Ov14a0//02cO9vQKyvqmi9Ke96M1/Fb
 B2AZlHtH16xtam15grgYcue8O6RpU6dAl33whC5CSBqGpdfgs92HsX79Js3hdLzh97p/emojtOuZ
 LV6EqbKMC65auG9JDaxbt06+YN/xwqkz537SF/DZ71/+fYysKEd3sBmu4AGEuBcFKSOQJpXgpd/8
 Qb/U7q4PhUN3n1ofOjeY7Tt+WPRiU1PzmvKyYdtdaFxw0zOw4jdTVl5wNb+amJSYvPwH30NxYTE8
 IRfcofPQRRSSLDB8yCT0tmv47UuvhQXEH7/UfKuxEXwwhsxfM7w20Be4665F86Tdn+5t3vHbhuKb
 loEHX749s7uje0d9vWvsffctk8ZWV6Mz0IwzPbugiQhIMKiyFZVZt+H4kXPiD6+/GWSMr2jczDfF
 07iUMUP3EeM1a59bg05PF6KRaMJNk9HvPFNxz/GjJ9+aMrnG9tSqVQjpvTjXfQAahcBIgxAcNksC
 KjKm48ihk9HX33gzpOv6TFctjg9mO3sekrSSnEPZTkfFkz96BFaLih5Vgc7YzekDi35e+YrH3fX4
 6h//k1JcUIKO4Dl4tQ5w4iDBIcBhVWwYmTkdRw+eCv3+9/8eJo3Pcm3DicFsly5GUWpa2v7hw0vz
 Hn7ofvTq7ej2XgLCqVBkmf5HAGbOhKpX5G0VxOe+8PwvZS5FcKHvMHQKgwSBwECCQ5YtGJExHZ0d
 Xv21f/03jQSfHY/zRYswx5Zgf3/hwjuTFyyYg95oO/Y2bkd55lgQ55BlOfTNASyDEkrJ3F1dXjbl
 H1Y8JHeHWtATbQUnDQQz8oJDgDDUOQayUPH88y96iPNfuLYMShtp2HflNXarbe2q1U8kVVSUozvS
 hs8atoFpMmRYEI5qYJyC3wzAMigTE9I+Hj9mzJQH7lspd/jPI8B6QEIHBwcnAgkOLjjS7HlITczB
 xo2bG/2B4BdNW/Cf1zNdvhgZsFr/IzNzyIx/fvonSenpqWj2H8cR1wFwJkMQhwQFoWAQEOj6RgAq
 pYS/VY2qmvzAD1bKrf4zCDMfuNCviDoztwm5SeVguo5t2z5MhcDa69kdeheWkaK8Nm/2DNs99yx1
 KhYFR93b4epoBnHEbEqQ4PMHAOKXbhjA8LstT2blZM1//KHH7B2B84hyP0gYDvdTx/gx2FUn7NYE
 nD9frzHGG5q24sxANssWoAA25VWH0zFt9aon0ktLi5Uw68OuC3Xo9YZBJCAEgYQACYIsKQgGgwhF
 ohduCEDxYoy3Wqy/eu6pZx2e8EWEyWcUq+DgghnUMUgEAsEqGTLd2dkty7J8Bl/pU2ULUCAsyjOS
 Ii1fuHAuv/vuxSmKquBc716caj0OHlXAQRAkQCAI4iAhIMsKvN4+vbu3N34AEybA0qda3nt69aok
 soQRivSAiIMLHUIwEBEEGDgxg0aCoFEYkiQwrGyommC3fW/hU/l/P3uuvl6W5ZrEpKTl0Uh0zJw5
 M2jJdxcmO5KT0B1pxeGmD+Hr00Ekg4hDCGFmlCCEACeCVbaiu7snKOEGaqA3T/5hxfDS5GHDhilt
 /tMmbRiEIOhCg04RkGQ4LmDUgU+/hLAeQG5uNh599IHEnbv2vl1SWszz8/LUsWNHobq6ComJCeiM
 unDw4h70eIMgJht0iUWdzCyb+4LDpibC7ekiAbTEBaBgPtJVi7LuiUceS+kMNYELBmIKfNEuhJgf
 URaFAMxoMaiKDEkSUGQZX3Z+gOrsOzF+whiMnzBG6r9HiHvRGjgKV8NZ+AOaoTCQQGREG4LART/3
 6YpsCNitCfD2em02oDkuABYrVk+dOomsTiAYiiAc0XEp4gJx3VysG4YhBAAJOhMmb3UgJOOTvvdh
 s8uwWa3gjCGoBRGNEIhZASIQZBDRVyLenwUeO8aJAAlQYYGuM8uFungotA6y5bjlsYUL56aFon54
 gz3wRJogIIyoQ0AQQYj+bQEBI+VCCAjBAVIR9HEEEDEUBRYIwWOySCTMbRFzVEgCRMzs6P2Z4FBV
 Fb09XsiQWuN6Ji45iHnZxZm29OxkNHka4Q5fjNFFiCscH2CfhDCUA4jJoAAZBX+FLAoynDSEwFQ1
 ossFbNKKBMFhTUKH2+NjxBviApCalvLTuXNnJncEGtEedBmOQgAkQBAAYEaVrgAiwE3VgOkYgQAS
 hsCSOdeUxRhlTDBcUOwaIwvCXBgSHLZUNDa4LgkJAz74yF89EA6HJ48bNxreSKfhpDCjZ9IFANIT
 M6HKVhDvj14/NSi2IiUiMOLGHOLg3OgbjHMwYsY+Z9A5M23oYFwHJw5OhuJxoSPDkYuGeldYooGb
 4lUZKFiEfFmR1SFD0nHigg/E6Sq6yJKK2SOWIhLSYLHJ2HW+FmE9dJk+gpv/15ZFImbQpz8wMfqQ
 uaZiEERg5vGStJHY0L7bJgmcGjQDKmF0Xn5uUOMhhPXgZWUwOVueVY1gXwirVz0Lq2JDamKmEXVh
 RI0LIwOMjKVF/zY3I0y8f455jutgxMDMTHCugRGDTgyMGAQ4clOK0Nfrz5JtODt4DUjITk9LJa9+
 CSDJiJKZAUWyoCh9ODZs2IwZM6aCQHD72gx6XNX+r+C3AFRFRVQPm9Sg2BKhHywgTGf7pZOb/wxp
 yWnw9QXCJIhd3ATP4ABkpDsdDjnMfCAum/w3CrbAWYpoJIrdOz/DC79+FifbDyGih64pi7KiYH7V
 UuSlFKHN24S6L98xsgBhqowwec7N2qGYAnFhrKHKMitx4vipZmBg/n+9iAUsVptV40Iz1yPGzTgJ
 5DgLcfjwMVRUjoAjNQn17hOXKWLShxEHM1emxenDkEgp+NnP1iE/tRgZyVnggoNxZlzDNehcBzeL
 mnENjPSY8wBQmTsBhw4d8wPYHy8AfygUIUVSYykms3ENSc7CyZNnMW7caLh9rdC4DjK5fLkGGMh0
 sDRjJHbs+ATV1ZUQEOgJ9kLnDIx0MNKgm9fqXDPUx8xgjBqKiqL0MtQ3uJyyhH3xAZDQ4/P7QhY5
 AQJ6TBatqg0WxYb2tg4UFhWgL9wbk0U+gCyqigUFqSXYu+8gZs26HR3eFvSFu8CFDk4sJqW6WbQk
 vv42sTx7FLSoTqFgMJf8OBwXAEnGsdbWdtVpzQKXtJiS2FQ7AMDnDyDF6UAw4jc03VQXblKHm/TJ
 dOTA4+mGosjIz8/F2Y5j0LkOnbEYXXSuDeh4/xhbOAX79h5qF0J8dHEXInEBcNXifG9Pr8OOFKgW
 cQWNLg+73TaoLOY4CtDc3IKhQ0sAAPWe00aWSIfOtat4PtCwWewozxqFDz/cCSHw9vXmfrUTC53x
 3fv3H7qU4ygynCfjGQAALBYVfn/AcIK4yWmDOozrhpYTR0ZyNvq8fgwZkooIC8Pta4+Bu5Ln1xoT
 i29HR5sHbrfHPjSI2hsBAFng5b/+5d1oVeY0QOrnuQEgxemAzxeAgIhlgZtNh5vNSycNibYk6IzB
 arXCF/JC49Hr0uXqOpQwaegM1G3d4eHEX9m1C+yGALi2Yk+fz++q+6/dZ8aV1IAkhrAeMBd6afB0
 dsGm2GPKMZAsAkBCgh26zkCDvr+9elTkViFBcuDggSNJXMKfBpsvD3RQUbBi29aPEvdtvnBo6dgV
 fExZlfHmrDgfrc1tsFkSoJuKM5AsBqJ+pKWmwOPpRFpiBiRJijP4EhaM+j7q6rb3MKJ3W2rR/o0A
 NG5GC5PFtJ0797T96NF1rrd/t6v27x/tDEXCEVxwNcFmU8ymM7AstnmbUFiUj6amFthUO4rSy+IC
 MKG0BnYk44MPPrYwnZ6P55prPtSb6JcOW8LL6htcSzo93SFnimOGz+fPqsyqUXclbkGPzw8BMnrA
 FcrS6DmDmeULwTnB7e7EuMIpaOquv64jjqQkLKpaiTde/3O7zvTNLR+gMR4A8mATGmvR0LQFv/vy
 L75792S3FQb9gYZjx052zR/9HUgyH1AWL3bXwxvuxrhxo3H48DFMLLkNidbka97DalGxcuqTaDzv
 0j4/cAg2CU/HWzPyDVXYOhAJWvPyK38KFyZV81nVd8Bi+boJIQS+aD6A6dMn45OdeyCEwOOzBvYp
 IcGC+6b+I6xaqnjxpVe9nPgD52rhj9cl5Ua/DfSex/nkYbzy88+PqA8ufSyzsrBSDrBL0BGBLBvO
 2+0qMlJTMWXEbLz3bh06OjzstinTpAxnhtQT7gAjHTabBSMLyrF84o9hZ+l45tlfdQaCodUX6/D+
 Lf9KWbUM1kAY7zidjsrn1q7Jyc3NTgeACA+AhA674oQEGRvWb/q0tm7HDAChlBTnqYcfuT9n7NjR
 hbKpStFoFJ/u3h/46/r3Ilo4usq19fpd92Z/ZpWKF+NxCdIvSooLeyZNHp+Um5OdpWk6P336rPvA
 50ct0UikiXM8nOVBc3culgN4WFXVirTUlABxbvX6/Q5J4GOd8aev9SL4ln8nLlsAG5MxE8A0ACOF
 hKgk4BIStjdt+fo6vmoZksNBDBUqJCvguhG+/78c/w3KNz47ZMlVZwAAAABJRU5ErkJggg==

Package: midori-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: midori (= ${Source-Version})
Description: Debugging symbols for Midori.
 Midori is a customizable WebKit based web browser.

=== debian/rules ===
#!/usr/bin/make -f

# TODO: Omit documentation files

DEB_TAR_SRCDIR=midori-0.2.1-8877894
DEB_DH_STRIP_ARGS := --dbg-package=midori

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_CHECK_TARGET := 
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/configure
DEB_CONFIGURE_NORMAL_ARGS = --prefix=/usr
# DEB_CONFIGURE_NORMAL_ARGS += $(if $(subst $(DEB_SRCDIR),,$(DEB_BUILDDIR)),,--srcdir=.)
DEB_CONFIGURE_EXTRA_FLAGS = 
DEB_CONFIGURE_INVOKE = cd $(if $(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR)) && $(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)
CFLAGS += -DG_DISABLE_CHECKS

configure/midori::
	# Build against libsoup-2.26
	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/wscript
	$(DEB_CONFIGURE_INVOKE)
	# Strip msgctxt from po files
	sed -i 's/msgctxt/#/g' $(DEB_BUILDDIR)/po/*.po

clean::
	rm -f Makefile
	rm -Rf _build_

## midori 0.2.1-0git1

=== wscript ===
--- 
+++ 
@@ -24,8 +24,8 @@
 import misc
 
 major = 0
-minor = 1
-micro = 9
+minor = 2
+micro = 1
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -56,12 +56,12 @@
     return False
 
 # Compile Win32 res files to (resource) object files
-@extension ('.rc')
 def rc_file(self, node):
     rctask = self.create_task ('winrc')
     rctask.set_inputs (node)
     rctask.set_outputs (node.change_ext ('.rc.o'))
     self.compiled_tasks.append (rctask)
+rc_file = extension ('.rc')(rc_file)
 Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
     before='cc cxx', shell=False)
 
@@ -181,15 +181,6 @@
         unique = 'no '
     conf.define ('HAVE_UNIQUE', [0,1][unique == 'yes'])
 
-    if option_enabled ('libidn'):
-        check_pkg ('libidn', '1.0', False)
-        libidn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
-        if libidn != 'yes':
-            option_checkfatal ('libidn', 'international domain names')
-    else:
-        libidn = 'no '
-    conf.define ('HAVE_LIBIDN', [0,1][libidn == 'yes'])
-
     if option_enabled ('sqlite'):
         check_pkg ('sqlite3', '3.0', False, var='SQLITE')
         sqlite = ['N/A','yes'][conf.env['HAVE_SQLITE'] == 1]
@@ -206,15 +197,33 @@
     args = ''
     if Options.platform == 'win32':
         args = '--define-variable=target=win32'
+    elif sys.platform != 'darwin':
+        check_pkg ('x11')
     check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
     check_pkg ('webkit-1.0', '1.1.1', args=args)
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
+    check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
     check_pkg ('libxml-2.0', '2.6')
+
+    if conf.env['HAVE_LIBSOUP_2_27_90']:
+       idn = 'yes'
+       conf.define ('HAVE_LIBIDN', 0)
+    else:
+        if option_enabled ('libidn'):
+            check_pkg ('libidn', '1.0', False)
+            idn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
+            if idn != 'yes':
+                option_checkfatal ('libidn', 'international domain names')
+        else:
+            idn = 'no '
+        conf.define ('HAVE_LIBIDN', [0,1][idn == 'yes'])
 
     if option_enabled ('hildon'):
         if check_pkg ('hildon-1', mandatory=False, var='HILDON'):
             check_pkg ('libosso', var='HILDON')
+            check_pkg ('hildon-1', '2.2', var='HILDON_2_2')
+            check_pkg ('hildon-fm-2', var='HILDON_FM')
         hildon = ['N/A','yes'][conf.env['HAVE_HILDON'] == 1]
         if hildon != 'yes':
             option_checkfatal ('hildon', 'Maemo integration')
@@ -228,6 +237,7 @@
     conf.env['docs'] = option_enabled ('docs')
 
     conf.check (header_name='unistd.h')
+    conf.check (header_name='signal.h')
     if not conf.env['HAVE_UNIQUE']:
         if Options.platform == 'win32':
             conf.check (lib='ws2_32')
@@ -266,16 +276,15 @@
         elif debug_level == 'full':
             # -Wdeclaration-after-statement
             # -Wmissing-declarations -Wmissing-prototypes
-            # -Wwrite-strings
+            # -Wwrite-strings -Wunsafe-loop-optimizations -Wmissing-include-dirs
             conf.env.append_value ('CCFLAGS',
                 '-Wall -Wextra -O1 -g '
                 '-Waggregate-return -Wno-unused-parameter '
                 '-Wno-missing-field-initializers '
-                '-Wunsafe-loop-optimizations '
                 '-Wredundant-decls -Wmissing-noreturn '
                 '-Wshadow -Wpointer-arith -Wcast-align '
                 '-Winline -Wformat-security '
-                '-Winit-self -Wmissing-include-dirs -Wundef '
+                '-Winit-self -Wundef '
                 '-Wmissing-format-attribute -Wnested-externs '
                 '-DG_ENABLE_DEBUG'.split ())
     elif debug_level != 'none':
@@ -287,7 +296,7 @@
         Icon optimizations:  %(icons)s (rsvg-convert)
         Persistent history:  %(sqlite)s (sqlite3)
 
-        IDN support:         %(libidn)s (libidn)
+        IDN support:         %(idn)s (libidn or libsoup 2.27.90)
         User documentation:  %(user_docs)s (docutils)
         API documentation:   %(api_docs)s (gtk-doc)
         ''' % locals ()
@@ -296,7 +305,7 @@
         Utils.pprint ('RED', 'Please use an older or newer version.')
 
 def set_options (opt):
-    def is_maemo (): return os.path.exists ('/etc/osso-af-init/osso-gtk.defs')
+    def is_maemo (): return os.path.exists ('/etc/osso-af-init/')
 
     def add_enable_option (option, desc, group=None, disable=False):
         if group == None:
@@ -310,11 +319,3 @@
     opt.tool_options ('compiler_cc')
     opt.get_option_group ('--check-c-compiler').add_option('-d', '--debug-level',
         action = 'store', default = '',
-        help = 'Specify the debugging level. [\'none\', \'debug\', \'full\']',
-        choices = ['', 'none', 'debug', 'full'], dest = 'debug_level')
-    opt.tool_options ('gnu_dirs')
-    opt.parser.remove_option ('--oldincludedir')
-    opt.parser.remove_option ('--htmldir')
-    opt.parser.remove_option ('--dvidir')
-    opt.parser.remove_option ('--pdfdir')
-    opt.parser.remove_option ('--psdir')

=== debian/changelog ===
midori (0:0.2.1-0git1) unstable; urgency=low

  * Update to git snapshot from 2009-12-03 00:06:53.
  * Install extensions to /opt/maemo/usr/lib/midori.
  * Add Adblock extension to the package.

 -- Christian Dywan <christian@twotoasts.de>  Mon, 03 Dec 2009 02:01:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # TODO: Omit documentation files
 
-DEB_TAR_SRCDIR=midori-0.2.1-8877894
+DEB_TAR_SRCDIR=midori-0.2.1-c7601bd
 DEB_DH_STRIP_ARGS := --dbg-package=midori
 
 include /usr/share/cdbs/1/rules/debhelper.mk

## midori 0.2.2-1ubuntu1trisquel1

=== debian/changelog ===
midori (0.2.2-1ubuntu1trisquel1) taranis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 May 2011 19:56:18 +0000

midori (0.2.2-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:27:17 +0100

midori (0.2.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #556184, #558339)
    - fixes local uri handling (Closes: #560866, #550844)
    - move libnotify from Recommends to Build-Deps to follow upstream
    - update debian/copyright to match upstream changes
    - fixes handling of URLs like "some.url?%00" (Closes: #561451)
    - running twice doesn't crash the browser (Closes: #514435)
    - Ctrl-w on last tab now closes it but still not the browser
      (Closes: #545251)
    - Ctrl-u in urlbar with emacs key binding theme works (Closes: #538327)
  * move libjs-mootools to Recommends, it's not required (Closes:
    #547584)
  * tell the user to report the bug against libwebkit-1.0-2 if they
    reproduce it in the Webkit test browser. Figure out the package name
    and the path to GtkLauncher automagically during build. (Closes:
    #562501)
  * switch to system waf
    - the FTBFS #559989 is no longer the fault of anything in my package,
      and I've set #561130 in the BTS to affect midori, so (Closes: #559989)
  * refresh patch

 -- Ryan Niebur <ryan@debian.org>  Thu, 24 Dec 2009 18:30:46 -0800

midori (0.2.0-1) unstable; urgency=low

  * New Upstream Version
    (Closes: 551328, 551513)
  * update debian/copyright
  * bump libwebkit-dev build-dep to 1.1.15 for adblock (Closes: 546985)
  * update my email address and remove DMUA field

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Oct 2009 15:44:22 -0700

midori (0.1.10-1) unstable; urgency=low

  * New upstream release
  * use mootools.js from the libjs-mootools package

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 15 Sep 2009 22:46:55 -0700

midori (0.1.9-1) unstable; urgency=low

  * fix watch file, thanks to Rogério Brito
  * New Upstream Version (Closes: #541354)
    - refresh patches
    - update copyright
  * fix Homepage field, thanks to Francesco Poli (Closes: #541414)
  * improve bugs search to work for packages too, thanks to Denis
    Laxalde for the suggestion (Closes: #542050)
  * Debian Policy 3.8.3

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 02 Sep 2009 15:36:37 -0700

midori (0.1.8-1) unstable; urgency=low

  * New Upstream Version
    - refresh patches
    - enable tests
    - update debian/copyright
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 01 Aug 2009 09:07:30 -0700

midori (0.1.7-1) unstable; urgency=low

  * New Upstream Version
  * adopt package: set myself as maintainer, remove uploaders (Closes: #528731)
  * rearrange the debian/rules file
  * use xvfb for tests, but disable them, they don't work right
  * use 'dh --with quilt' for patching instead of including
    /usr/share/quilt/quilt.make
  * fix format of debian/copyright
  * build dep on debhelper 7.0.50 instead of 7.2
  * add debian bts to the list of searches, thanks to Giuseppe for the
    patch (Closes: #525991)
  * refresh patches
  * change the default-homepage patch to use the files in debian/config/
    to set the default homepage based on whether it's debian, ubuntu,
    etc (second half of ubuntu diff)
  * also set a priority number for the alternative in the distro config
    file. This sets it to 50 for debian, and 39 for ubuntu (just under
    firefox). This addresses the other half of the ubuntu diff.
  * add recommends on libnotify1
  * update copyright information
  * remove extra file, debian/patches/0001-Don-t-expressly-use-libkatze-
    in-extensions-to-avoid.patch
  * remove some old todo items from debian/TODO

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 29 May 2009 20:31:09 -0700

midori (0.1.6-1) experimental; urgency=low

  * New upstream release (Closes: #525471).

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 25 Apr 2009 11:09:59 +1000

midori (0.1.5-1) experimental; urgency=low

  * New upstream release (Closes: #522549).
  * Cherry-pick -fPIC fix from upstream's git and remove previous
    kludge from debian/rules (Closes: #518281).
  * Don't allow linking with incompatibly old libsoup (Closes: #522436).
  * Use new "debug" section for midori-dbg.
  * As Midori is still immature, reduce its priority as an x-www-browser
    alternatives.  Mainly this is to keep Ubuntu's iceweasel users happy.

    Long-term, I should collaborate with the other x-www-browser providers
    to agree on a numbering system (e.g. by popcon popularity).  Currently
    it is as follows:

    20 conkeror, 30 chimera2, 50 dillo, 50 midori, 69 xlinks2,
    70 iceweasel, 70 kazehakase, 85 epiphany-gecko, 100 konqueror,
    100 netsurf, 120 galeon

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 05 Apr 2009 14:07:42 +1000

midori (0.1.4-2) experimental; urgency=low

  * Always use -fPIC. (Closes: #518281).
  * Force rebuild with newer dependencies, to see what happens.
    The next upstream release will require these version bumps anyway.

    * Bump libsoup dependency to 2.25.2.
    * Bump webkit dependency to 1.1 (Closes: #519854, #519123).
    * Bump libunique dependency to 1.0.6 (Closes: #509801).
      Note that 1.0.2 should work: only 1.0.4 is bad.

  * Reintroduce quilt while we wait for the 3.0 source format.
    * Add a Debian search to the default search list (Closes: #520381).
    * Make the homepage a local file.  See patch header for rationale.

  * Use new dh 7.2 "overrides" style.
  * Update copyright file.
  * Remove stale CDBS dependency.
  * Bump standards version to 3.8.1.  No changes necessary.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 21 Mar 2009 21:39:05 +1100

midori (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Use dh(1).
  * New dependency (libidn11-dev) and undependency (libhildon-1-dev).


=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 quilt (>= 0.46-7),
 lsb-release,
 libgtk2.0-dev (>= 2.10),
 libglib2.0-dev,
 libwebkit-dev (>= 1.1.15),
 libxml2-dev (>= 2.6),
# Optional dependencies:
 intltool,
 libidn11-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libunique-dev (>= 1.0.6),
 python-docutils,
 libsoup2.4-dev (>= 2.25.2),
 libnotify-dev,
# For testing under xvfb:
 xvfb,
 xauth,
 xfonts-base
# Disabled optional dependencies:
Build-Conflicts: gtk-doc-tools,
 libgtksourceview2.0-dev (>= 2.0),
 libhildon-1-dev
Standards-Version: 3.8.3
Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
Vcs-Git: git://git.ryan52.info/git/midori
Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
Recommends: gnome-icon-theme
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

Package: midori-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, midori (= ${binary:Version})
Description: fast, lightweight graphical web browser (debug symbols)
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.
 .
 This package contains the debugging symbols for midori.

=== debian/rules ===
#!/usr/bin/make -f

CMD=$(shell echo $@ | sed 's/override_//')

LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkit-dev | grep Depends | sed -r 's/.*(libwebkit[^ ]+).*/\1/')
GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
DISTRO=$(shell lsb_release -is)
CONFIG_FILE=debian/config/$(DISTRO).h
ifneq (0, $(shell test -e $(CONFIG_FILE); echo "$$?"))
	DISTRO=Debian
endif

%:
	dh --with quilt $@

override_dh_quilt_patch:
	ln -sf ../$(CONFIG_FILE) midori/midori-debian.h
	test -e midori/midori-debian.h
	$(CMD)

#WAF=/usr/bin/waf
WAF=./waf

debian/presubj: debian/presubj.in
	@echo "presubj parameters:"
	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
	test -f "$(GTKLAUNCHER)"
	test -n "$(GTKLAUNCHER)"
	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@

override_dh_install: debian/presubj
	$(CMD)

override_dh_auto_clean:
	$(WAF) --nocache distclean
	rm -rf _build_

override_dh_auto_configure:
	$(WAF) --nocache configure --prefix /usr

override_dh_auto_build:
	$(WAF) --nocache build --debug full

override_dh_auto_test:
	xvfb-run $(WAF) --nocache check

override_dh_auto_install:
	$(WAF) --nocache install --destdir debian/tmp
	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
	rm -f debian/tmp/usr/share/midori/res/mootools.js
	ln -s /usr/share/javascript/mootools/mootools.js debian/tmp/usr/share/midori/res/mootools.js

PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed "s/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g" debian/midori.postinst.base > debian/midori.postinst

override_dh_installdeb: debian/midori.postinst
	$(CMD)

override_dh_strip:
	$(CMD) --dbg-package=midori-dbg

## midori 0.2.3-1mint1

=== debian/changelog ===
midori (0.2.3-1mint1) helena-fluxbox; urgency=low

  * updated using source from version 0.2.3

 -- Kendall Weaver <kendalltweaver@gmail.com>  20 Feb 2010 13:03:00 -0500

midori (0.2.2-0mint2) helena; urgency=low

  * corrected menu icon error
  * added inst/rm scripts from previous Ubuntu build

 -- Kendall Weaver <kendalltweaver@gmail.com>  03 Jan 2010 05:29:00 -0500

midori (0.2.2-0mint1) helena; urgency=low

  * built from source for testing in Linux Mint 8 Fluxbox CE

 -- Kendall Weaver <kendalltweaver@gmail.com>  03 Jan 2010 02:12:00 -0500

=== debian/control ===
Source: midori
Section: admin
Priority: required
Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.7.2

Package: midori
Depends:  libwebkit-1.0-2, libwebkit-1.0-common, python-webkit
Recommends: flashplugin-installer
Architecture: all 
Description:  The Midori web browser
 A fast, lightweight web browser built on the webkit engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build:

clean:
	dh_testdir
	dh_testroot

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install usr/* usr
	dh_install etc/* etc
# Build architecture-independent files here.
binary-indep: build install

	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary install

## midori 0.2.4

=== wscript ===
--- 
+++ 
@@ -20,12 +20,12 @@
 import os
 import UnitTest
 import Task
-from TaskGen import extension
+from TaskGen import extension, feature, taskgen
 import misc
 
 major = 0
 minor = 2
-micro = 1
+micro = 4
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -118,6 +118,7 @@
         if not conf.find_program ('convert', var='CONVERT'):
             Utils.pprint ('YELLOW', 'midori.ico won\'t be created')
         conf.find_program ('windres', var='WINRC')
+        conf.env['platform'] = 'win32'
 
     # This is specific to cross compiling with mingw
     if is_mingw (conf.env) and Options.platform != 'win32':
@@ -190,6 +191,15 @@
         sqlite = 'no '
     conf.define ('HAVE_SQLITE', [0,1][sqlite == 'yes'])
 
+    if option_enabled ('libnotify'):
+        check_pkg ('libnotify', mandatory=False)
+        libnotify = ['N/A','yes'][conf.env['HAVE_LIBNOTIFY'] == 1]
+        if libnotify != 'yes':
+            option_checkfatal ('libnotify', 'notifications')
+    else:
+        libnotify = 'no '
+    conf.define ('HAVE_LIBNOTIFY', [0,1][libnotify == 'yes'])
+
     conf.check (lib='m', mandatory=True)
     check_pkg ('gmodule-2.0', '2.8.0', False)
     check_pkg ('gthread-2.0', '2.8.0', False)
@@ -204,6 +214,7 @@
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
     check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
+    check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libxml-2.0', '2.6')
 
     if conf.env['HAVE_LIBSOUP_2_27_90']:
@@ -235,9 +246,9 @@
     if 'CC' in os.environ: conf.env['CC'] = os.environ['CC'].split()
     conf.env['addons'] = option_enabled ('addons')
     conf.env['docs'] = option_enabled ('docs')
+    if 'LINGUAS' in os.environ: conf.env['LINGUAS'] = os.environ['LINGUAS']
 
     conf.check (header_name='unistd.h')
-    conf.check (header_name='signal.h')
     if not conf.env['HAVE_UNIQUE']:
         if Options.platform == 'win32':
             conf.check (lib='ws2_32')
@@ -246,11 +257,14 @@
         conf.define ('HAVE_NETDB_H', [0,1][conf.check (header_name='netdb.h')])
         conf.check (header_name='sys/wait.h')
         conf.check (header_name='sys/select.h')
-        conf.check (function_name='inet_aton')
-        conf.check (function_name='inet_addr')
+        conf.check (function_name='inet_aton', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
+        conf.check (function_name='inet_addr', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
     conf.define ('HAVE_OSX', int(sys.platform == 'darwin'))
     if Options.platform == 'win32':
         conf.env.append_value ('LINKFLAGS', '-mwindows')
+        conf.env.append_value ('program_LINKFLAGS', ['-Wl,--out-implib=default/midori/libmidori.a', '-Wl,--export-all-symbols'])
+    else:
+        conf.check (header_name='signal.h')
 
     conf.define ('PACKAGE_VERSION', VERSION)
     conf.define ('PACKAGE_NAME', APPNAME)
@@ -284,9 +298,13 @@
                 '-Wredundant-decls -Wmissing-noreturn '
                 '-Wshadow -Wpointer-arith -Wcast-align '
                 '-Winline -Wformat-security '
-                '-Winit-self -Wundef '
+                '-Winit-self -Wundef -Wdeclaration-after-statement '
                 '-Wmissing-format-attribute -Wnested-externs '
-                '-DG_ENABLE_DEBUG'.split ())
+            # -DGSEAL_ENABLE
+                '-DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED '
+                '-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED '
+                '-DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED '
+                '-DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE'.split ())
     elif debug_level != 'none':
             Utils.pprint ('RED', 'No debugging level support for ' + compiler)
             sys.exit (1)
@@ -294,28 +312,4 @@
     print '''
         Localization:        %(nls)s (intltool)
         Icon optimizations:  %(icons)s (rsvg-convert)
-        Persistent history:  %(sqlite)s (sqlite3)
-
-        IDN support:         %(idn)s (libidn or libsoup 2.27.90)
-        User documentation:  %(user_docs)s (docutils)
-        API documentation:   %(api_docs)s (gtk-doc)
-        ''' % locals ()
-    if unique == 'yes' and conf.check_cfg (modversion='unique-1.0') == '1.0.4':
-        Utils.pprint ('RED', 'unique 1.0.4 found, this version is erroneous.')
-        Utils.pprint ('RED', 'Please use an older or newer version.')
-
-def set_options (opt):
-    def is_maemo (): return os.path.exists ('/etc/osso-af-init/')
-
-    def add_enable_option (option, desc, group=None, disable=False):
-        if group == None:
-            group = opt
-        option_ = option.replace ('-', '_')
-        group.add_option ('--enable-' + option, action='store_true',
-            default=False, help='Enable ' + desc, dest='enable_' + option_)
-        group.add_option ('--disable-' + option, action='store_true',
-            default=disable, help='Disable ' + desc, dest='disable_' + option_)
-
-    opt.tool_options ('compiler_cc')
-    opt.get_option_group ('--check-c-compiler').add_option('-d', '--debug-level',
-        action = 'store', default = '',
+        History:             %(sqlite)s (sqlite3)

=== debian/changelog ===
midori (0.2.4-3) unstable; urgency=low

  * don't run the tests
  * add debian/source/format
  * fix building in Serial mode (on HPPA)

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Apr 2010 23:41:50 -0700

midori (0.2.4-2) unstable; urgency=low

  * use a patched waf for hppa, thanks to Jakub Wilk (Closes: #559989)

 -- Ryan Niebur <ryan@debian.org>  Mon, 29 Mar 2010 00:39:30 -0700

midori (0.2.4-1) unstable; urgency=low

  * New Upstream Version
    - update d/copyright
    - handles files in current dir correctly (Closes: #565329)
  * use bundled waf again (Closes: 571709)
  * set Standards-Version to 3.8.4

 -- Ryan Niebur <ryan@debian.org>  Sun, 07 Mar 2010 22:28:54 -0800

=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 quilt (>= 0.46-7),
 lsb-release,
 libgtk2.0-dev (>= 2.10),
 libglib2.0-dev,
 libwebkit-dev (>= 1.1.15),
 libxml2-dev (>= 2.6),
# For waf:
 python,
# Optional dependencies:
 intltool,
 libidn11-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libunique-dev (>= 1.0.6),
 python-docutils,
 libsoup2.4-dev (>= 2.25.2),
 libnotify-dev,
# For testing under xvfb:
 xvfb,
 xauth,
 xfonts-base
# Disabled optional dependencies:
Build-Conflicts: gtk-doc-tools,
 libgtksourceview2.0-dev (>= 2.0),
 libhildon-1-dev
Standards-Version: 3.8.4
Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
Vcs-Git: git://git.ryan52.info/git/midori
Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
Recommends: gnome-icon-theme
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

Package: midori-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, midori (= ${binary:Version})
Description: fast, lightweight graphical web browser (debug symbols)
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.
 .
 This package contains the debugging symbols for midori.

=== debian/rules ===
#!/usr/bin/make -f

CMD=$(shell echo $@ | sed 's/override_//')

LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkit-dev | grep Depends | sed -r 's/.*(libwebkit[^ ]+).*/\1/')
GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
DISTRO=$(shell lsb_release -is)
CONFIG_FILE=debian/config/$(DISTRO).h
ifneq (0, $(shell test -e $(CONFIG_FILE); echo "$$?"))
	DISTRO=Debian
endif

%:
	dh --with quilt $@

override_dh_quilt_patch:
	ln -sf ../$(CONFIG_FILE) midori/midori-debian.h
	test -e midori/midori-debian.h
	$(CMD)

#WAF=/usr/bin/waf
BASE_WAF=./waf
WAF=env WAFDIR=debian/ $(BASE_WAF)

debian/presubj: debian/presubj.in
	@echo "presubj parameters:"
	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
	test -f "$(GTKLAUNCHER)"
	test -n "$(GTKLAUNCHER)"
	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@

override_dh_install: debian/presubj
	$(CMD)

WAFADMIN_FILE=debian/wafadmin/Runner.py
WAFADMIN_APPEND=debian/runner-append

override_dh_auto_clean: $(WAFADMIN_FILE)
	$(WAF) --nocache distclean
	rm -rf _build_

override_dh_auto_configure: $(WAFADMIN_FILE)
	$(WAF) --nocache configure --prefix /usr

override_dh_auto_build: $(WAFADMIN_FILE)
	$(WAF) --nocache build --debug full

#override_dh_auto_test: $(WAFADMIN_FILE)
#	xvfb-run $(WAF) --nocache check

override_dh_auto_install: $(WAFADMIN_FILE)
	$(WAF) --nocache install --destdir debian/tmp
	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
	rm -f debian/tmp/usr/share/midori/res/mootools.js
	ln -s /usr/share/javascript/mootools/mootools.js debian/tmp/usr/share/midori/res/mootools.js

PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed "s/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g" debian/midori.postinst.base > debian/midori.postinst

$(WAFADMIN_FILE): $(BASE_WAF) $(WAFADMIN_APPEND)
	rm -fr debian/wafadmin/ .waf-*
	$(BASE_WAF) --help >/dev/null
	cp -a ./.waf-*/wafadmin debian/
	rm -fr .waf-*
	cat $(WAFADMIN_APPEND) >> $(WAFADMIN_FILE)

override_dh_clean:
	rm -fr debian/wafadmin
	$(CMD)

override_dh_installdeb: debian/midori.postinst
	$(CMD)

override_dh_strip:
	$(CMD) --dbg-package=midori-dbg

=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/midori/(?:[\d.]+)/midori-([\d.]+).tar.bz2
